%global momorel 1
%global use_mmx 1
%global md5sum_src0 7f00c36c54d09d6159641e65955fcad7

Summary: C++ Wrapper for MLT
Name: mlt++
Version: 0.2.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.mltframework.org/twiki/bin/view/MLT/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/mlt/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl
Requires: ruby
BuildRequires: mlt-devel
BuildRequires: perl
BuildRequires: ruby-devel

%description
C++ Wrapper for the MLT framework.

%package devel
Summary: MLT Video Editor C++ headers/development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mlt-devel

%description devel
C++ Headers for MLT.

%prep
%setup -q

%build
%configure
%make
# fail (build with optflags 0.2.2-1m)
# CFLAGS="%%{optflags}" CXXFLAGS="%%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS CUSTOMISING HOWTO README
%{_libdir}/libmlt++.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mlt++
%{_libdir}/libmlt++.so

%changelog
* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- initial package for kdenlive-0.5
